Loading...
Searching...
No Matches
Opm::DummyGradientCalculator< TypeTag > Class Template Reference

This is a "dummy" gradient calculator which does not do anything. More...

`#include <DummyGradientCalculator.hpp>`

## Public Member Functions

template<bool prepareValues = true, bool prepareGradients = true>
void | prepare (const ElementContext &, unsigned)
template<class QuantityCallback, class QuantityType = Scalar>
QuantityType | calculateValue (const ElementContext &, unsigned, const QuantityCallback &) const
template<class QuantityCallback>
void | calculateGradient (DimVector &, const ElementContext &, unsigned, const QuantityCallback &) const
template<class QuantityCallback>
Scalar | calculateBoundaryValue (const ElementContext &, unsigned, const QuantityCallback &)
template<class QuantityCallback>
void | calculateBoundaryGradient (DimVector &, const ElementContext &, unsigned, const QuantityCallback &) const

## Static Public Member Functions

static void | registerParameters ()

## Detailed Description

template<class TypeTag>
class Opm::DummyGradientCalculator< TypeTag >

This is a "dummy" gradient calculator which does not do anything.

The blackoil simulator does not need any gradients: Volume fluxes are calculated via pressure differences instead of pressure gradients (i.e., transmissibilities instead of permeabilities), and an energy equation and molecular diffusion are not supported.

The documentation for this class was generated from the following file:

- opm/simulators/flow/DummyGradientCalculator.hpp